repo/gentoo:master commit in: net-print/splix/

"Bernard Cafarelli" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787060065.cb473fe0190ab5cbdc3864f6c873e99c1a21f4b6.voyageur@gentoo>
commit:     cb473fe0190ab5cbdc3864f6c873e99c1a21f4b6
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 13:30:42 2026 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 13:34:25 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb473fe0

net-print/splix: add 2.0.2

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 net-print/splix/Manifest           |  1 +
 net-print/splix/splix-2.0.2.ebuild | 68 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/net-print/splix/Manifest b/net-print/splix/Manifest
index b42c7cc33c7d..3adf11cfe27c 100644
--- a/net-print/splix/Manifest
+++ b/net-print/splix/Manifest
@@ -1,2 +1,3 @@
 DIST samsung-cms-20120312.tar.xz 3354884 BLAKE2B ebff80c7e4ddebb87c46b0d282c64037d7584170ed224931e5b17fc93a76b162bd1b33ed00c59371464dcaef345cf6c33d428aa42c7b67c82958a23384ed0bac SHA512 448f111493540dc93b88d59fa50857bdca2aa9eb772e53c1d227402235d878ad599683d74bc4d815b4789527b5e7ebe207bb0c8fa9194eaf61ca95b78a1444db
 DIST splix-2.0.1.tar.xz 93032 BLAKE2B 82de9e591bda902cee9423e3f626a5b8b13b8ec0e2fd842142b10549d87094316d59c57a005615bf37601ecedf9d5defc59beb5312b4e1269ff1db207c3722bc SHA512 45708d65576e87c9f0c9cc7d4919ea19b1418bb932854b14a80bbcf890e28f7ee11ac64a5b9ccca1b8f4aec803822392ab738329d3e9894ad60b5393bffeef74
+DIST splix-2.0.2.tar.xz 91248 BLAKE2B ca555684ecafeaf3660201c588453177d211f98c2757cf270de5076f93fa829eba22bf11986cb222c2bd2b257e491193a353c7192de8f75bb7f51c4954548153 SHA512 2841f566be6502c184f419073276cdd2ea9706a360cd8306f146801f14bf7bd07595e4fc266dfc612ee255d4da04267b4fa268fa82ba359b5e0223dd8c3c46b2

diff --git a/net-print/splix/splix-2.0.2.ebuild b/net-print/splix/splix-2.0.2.ebuild
new file mode 100644
index 000000000000..a5927abed016
--- /dev/null
+++ b/net-print/splix/splix-2.0.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit toolchain-funcs
+
+DESCRIPTION="A set of CUPS printer drivers for SPL (Samsung Printer Language) printers"
+HOMEPAGE="https://splix.sourceforge.net/"
+SRC_URI="https://github.com/OpenPrinting/splix/releases/download/${PV}/${P}.tar.xz
+	https://dev.gentoo.org/~voyageur/distfiles/samsung-cms-20120312.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+jbig"
+
+DEPEND=">=app-text/ghostscript-gpl-9.02
+	>=net-print/cups-1.4.0
+	jbig? ( media-libs/jbigkit )"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.0.0_p20130826-algo0x11_le.patch )
+
+src_prepare() {
+	default
+
+	# Move to correct place
+	mv *.ppd ppd/
+
+	# Tarball missing PPD localization files for new printers
+	sed -e "s/^LANGUAGES.*:=.*/LANGUAGES :=/" -i ppd/Makefile || die
+	emake -C ppd distclean
+}
+
+src_compile() {
+	local options="MODE=optimized"
+	use jbig || options="${options} DISABLE_JBIG=1"
+	emake ${options} PSTORASTER=gstoraster CXX="$(tc-getCXX)" \
+		OPTIM_CFLAGS="${CFLAGS}" OPTIM_CXXFLAGS="${CXXFLAGS}"
+
+	emake -C ppd ppd ${options}
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	gzip "${ED}"/$(pkg-config --variable=cups_datadir cups)/model/*/*.ppd || die
+
+	emake DESTDIR="${D}" CMSDIR="${WORKDIR}"/cms MANUFACTURER=samsung installcms
+	# Add symlinks for xerox and dell models (installed in samsung)
+	dosym $(pkg-config --variable=cups_datadir cups)/profiles/samsung \
+		$(pkg-config --variable=cups_datadir cups)/profiles/xerox
+	dosym $(pkg-config --variable=cups_datadir cups)/profiles/samsung \
+		$(pkg-config --variable=cups_datadir cups)/profiles/dell
+}
+
+pkg_postinst() {
+	ewarn "You *MUST* make sure that the PPD files that CUPS is using"
+	ewarn "for actually installed printers are updated if you upgraded"
+	ewarn "from a previous version of splix!"
+	ewarn "Otherwise you will be unable to print (your printer might"
+	ewarn "spit out blank pages etc.)."
+	ewarn "To do that, simply delete the corresponding PPD file in"
+	ewarn "/etc/cups/ppd/, click on 'Modify Printer' belonging to the"
+	ewarn "corresponding printer in the CUPS webinterface (usually"
+	ewarn "reachable via http://localhost:631/) and choose the correct"
+	ewarn "printer make and model, for example:"
+	ewarn "'Samsung' -> 'Samsung ML-1610, 1.0 (en)'"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.